# Dictate — From audio file asynchronously

```
POST 
/dictate-async
```

Generate a dictation from an audio file. Only `audio/*` mime types are supported. The maximum duration is 60 minutes.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Request received and processing started.

## Operation spec

```json
{
  "method": "post",
  "path": "/dictate-async",
  "operationId": "dictate-async",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "The object containing all the information needed along with the audio file for which you want dictation.",
          "properties": {
            "dictation_locale": {
              "type": "string",
              "enum": [
                "ENGLISH_US",
                "ENGLISH_UK",
                "FRENCH_FR"
              ],
              "example": "ENGLISH_US",
              "title": "dictate_locale"
            },
            "file_url": {
              "type": "string",
              "description": "The URL of the audio file to download & generate dictation."
            },
            "punctuation_mode": {
              "type": "string",
              "enum": [
                "EXPLICIT"
              ],
              "description": "Specifies how punctuation is handled. Possible values are:<br/> • `EXPLICIT`: speaker must explicitly dictate punctuation (e.g. \"comma\" or \"quotation mark\").",
              "title": "punctuation_mode"
            },
            "client_request_id": {
              "type": "string",
              "maxLength": 128,
              "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
              "title": "client_request_id"
            }
          },
          "required": [
            "dictation_locale",
            "file_url",
            "punctuation_mode"
          ],
          "title": "dictate_async_request"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Request received and processing started.",
      "content": {
        "application/json": {
          "schema": {
            "oneOf": [
              {
                "title": "ONGOING",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              },
              {
                "title": "FAILED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "properties": {
                      "error_code": {
                        "type": "integer",
                        "example": 422
                      },
                      "error_message": {
                        "type": "string",
                        "example": "We can't generate the note when the transcript is too short."
                      }
                    },
                    "required": [
                      "error_code"
                    ],
                    "title": "async_request_failed_payload"
                  }
                },
                "required": [
                  "id",
                  "status",
                  "payload"
                ]
              },
              {
                "title": "SUCCEEDED",
                "type": "object",
                "properties": {
                  "id": {
                    "description": "The id of the asynchronous request.",
                    "type": "string",
                    "format": "uuid",
                    "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                    "title": "uuid"
                  },
                  "client_request_id": {
                    "type": "string",
                    "maxLength": 128,
                    "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                    "title": "client_request_id"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ONGOING",
                      "FAILED",
                      "SUCCEEDED"
                    ],
                    "title": "async_request_status"
                  },
                  "payload": {
                    "type": "object",
                    "description": "The generated dictation.",
                    "properties": {
                      "dictation": {
                        "type": "string",
                        "description": "The generated dictation string."
                      }
                    },
                    "required": [
                      "dictation"
                    ],
                    "title": "async_dictation_succeeded_payload"
                  }
                },
                "required": [
                  "id",
                  "status"
                ]
              }
            ],
            "discriminator": {
              "propertyName": "status",
              "mapping": {
                "ONGOING": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_request_ongoing"
                },
                "FAILED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "properties": {
                        "error_code": {
                          "type": "integer",
                          "example": 422
                        },
                        "error_message": {
                          "type": "string",
                          "example": "We can't generate the note when the transcript is too short."
                        }
                      },
                      "required": [
                        "error_code"
                      ],
                      "title": "async_request_failed_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status",
                    "payload"
                  ],
                  "title": "async_request_failed"
                },
                "SUCCEEDED": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The id of the asynchronous request.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "client_request_id": {
                      "type": "string",
                      "maxLength": 128,
                      "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                      "title": "client_request_id"
                    },
                    "status": {
                      "type": "string",
                      "enum": [
                        "ONGOING",
                        "FAILED",
                        "SUCCEEDED"
                      ],
                      "title": "async_request_status"
                    },
                    "payload": {
                      "type": "object",
                      "description": "The generated dictation.",
                      "properties": {
                        "dictation": {
                          "type": "string",
                          "description": "The generated dictation string."
                        }
                      },
                      "required": [
                        "dictation"
                      ],
                      "title": "async_dictation_succeeded_payload"
                    }
                  },
                  "required": [
                    "id",
                    "status"
                  ],
                  "title": "async_dictation_succeeded"
                }
              }
            },
            "title": "async_dictation"
          }
        }
      }
    }
  }
}
```
